org.eclipse.rdf4j.repository.event

## Interface RepositoryConnectionListener

- All Known Implementing Classes:
    DebugRepositoryConnectionListener, RepositoryConnectionListenerAdapter

      public interface RepositoryConnectionListener

  Listener interface for connection modification.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)`
    `void` | `begin(RepositoryConnection conn)`
    `void` | `clear(RepositoryConnection conn, Resource... contexts)`
    `void` | `clearNamespaces(RepositoryConnection conn)`
    `void` | `close(RepositoryConnection conn)`
    `void` | `commit(RepositoryConnection conn)`
    `void` | `execute(RepositoryConnection conn, QueryLanguage ql, String update, String baseURI, Update operation)`
    `void` | `remove(RepositoryConnection conn, Resource subject, IRI predicate, Value object, Resource... contexts)`
    `void` | `removeNamespace(RepositoryConnection conn, String prefix)`
    `void` | `rollback(RepositoryConnection conn)`
    `void` | `setAutoCommit(RepositoryConnection conn, boolean autoCommit)` Deprecated. since 2.0. Use `begin(RepositoryConnection)` instead.
    `void` | `setNamespace(RepositoryConnection conn, String prefix, String name)`

- - ### Method Detail

    - #### close

          void close(RepositoryConnection conn)

    - #### setAutoCommit

          @Deprecated
          void setAutoCommit(RepositoryConnection conn,
                                         boolean autoCommit)

      Deprecated. since 2.0. Use `begin(RepositoryConnection)` instead.
      Parameters:
        `conn` -
        `autoCommit` -

    - #### begin

          void begin(RepositoryConnection conn)

    - #### commit

          void commit(RepositoryConnection conn)

    - #### rollback

          void rollback(RepositoryConnection conn)

    - #### add

          void add(RepositoryConnection conn,
                   Resource subject,
                   IRI predicate,
                   Value object,
                   Resource... contexts)

    - #### remove

          void remove(RepositoryConnection conn,
                      Resource subject,
                      IRI predicate,
                      Value object,
                      Resource... contexts)

    - #### clear

          void clear(RepositoryConnection conn,
                     Resource... contexts)

    - #### setNamespace

          void setNamespace(RepositoryConnection conn,
                            String prefix,
                            String name)

    - #### removeNamespace

          void removeNamespace(RepositoryConnection conn,
                               String prefix)

    - #### clearNamespaces

          void clearNamespaces(RepositoryConnection conn)

    - #### execute

          void execute(RepositoryConnection conn,
                       QueryLanguage ql,
                       String update,
                       String baseURI,
                       Update operation)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.